
import bpy
from .extensionbase import ExtensionBase


class KHR_animation_2(ExtensionBase):

    # https://github.com/KhronosGroup/glTF-Blender-IO/blob/f877995da23c10b8190b9a33ea5f32690485e82d/addons/io_scene_gltf2/blender/exp/gltf2_blender_gather_animations.py#L125

    # https://github.com/KhronosGroup/glTF-Blender-IO/blob/f877995da23c10b8190b9a33ea5f32690485e82d/addons/io_scene_gltf2/blender/exp/gltf2_blender_gather_animations.py#L198


    def pre_gather_actions_hook(self, export_settings, blender_object):
        pass
    
    if bpy.app.version >= (3, 4, 0):
        def gather_actions_hook(self, blender_object, params, export_settings):
            pass

    def pre_gather_animation_hook(self, export_settings, animation, blender_action, blender_object):
        pass